<?php 
/*
Template Name: Products List 
*/

// Fetch the Affiliate Categories
$cat_list = get_terms("affiliate-category", "orderby=count&hide_empty=0");
get_header();

query_posts("post_type=affiliate&posts_per_page=-1");?>
<div id="full-width" class="content">
	<h2 class="section-title"><?php the_title(); ?></h2>
   	<?php if ($cat_list != "") : 
		echo "<ul class=\"bread-crumbs\">
			<li><strong>". _("Categories"). ":</strong></li>";
			foreach($cat_list as $tax) :
				$link = get_term_link($tax->slug, "affiliate-category");
				echo "<li><a href=\"$link\">".$tax->name."</a></li>";
			endforeach;
		echo "</ul>";
	endif; ?>
    <ul class="products-list clearfix">
         <?php if (have_posts()) :
            while (have_posts()) :	the_post();
                get_template_part("/functions/affiliate-list");
            endwhile; wp_reset_query();
        else :
            ocmx_no_posts();
        endif; ?>
    </ul>
</div>
<?php get_footer(); ?>