<?php
global $post;
if($purchase_label == "") :
	$purchase_label = __("Purchase", "ocmx"); 
endif;			
$affiliate_price = get_post_meta($post->ID, "affiliate_price", true);
$affiliate_link = get_post_meta($post->ID, "affiliate_link", true);
$purchase_label = get_post_meta($post->ID, "purchase_label", true);		
$link = get_permalink($post->ID);  
$args  = array( 'postid' => $post->ID, 'width' => 280, 'height' => 140, 'hide_href' => false, 'exclude_video' => true, 'wrap' => 'div', 'wrap_class' => 'products-image fitvid', 'resizer' => '280x140' );
$image = get_obox_media( $args );
if($show_images != "on" || $image == "") : $maxlen = 90; else : $maxlen = 75; endif;  
?>

<li>
	<!--Show the Featured Image or Video -->
	<?php if($image != "") { echo $image; } ?>
	<!--Show Title -->
    <h4 class="typography-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h4>	
    <!--Buy Button -->				
	<a href="<?php echo $affiliate_link; ?>" class="action-button" rel="nofollow" target="_blank"><?php echo $purchase_label; ?></a>
    <!--Price -->
	<h5><?php if($affiliate_price != "") : echo $affiliate_price; else : echo "&nbsp;"; endif; ?></h5>
    <!--Get the Content -->
	<?php if($post->post_excerpt != "") :
		echo "<p>".substr(strip_tags($post->post_excerpt), 0, $maxlen)."...</p>";
	else :
		the_content("");
	endif; ?>
</li>		