<?php global $post;
$link = get_permalink($post->ID);
$args  = array( 'postid' => $post->ID, 'width' => 300, 'height' => 169, 'hide_href' => false, 'exclude_video' => true, 'wrap' => 'div', 'wrap_class' => 'post-image fitvid', 'resizer' => '300x169' );
$image = get_obox_media( $args );?>
<li class="post clearfix">		
    <div class="content clearfix">
        <div class="post-title-block">
        	<!--Show the Title -->
    		<h2 class="post-title typography-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
            <!--Show Post Meta if enabled in Theme Options -->
			<h5 class="date post-date">
				<?php if( get_option("ocmx_meta_author") !== "false" ) { _e("Posted by ", "ocmx"); ?> <?php the_author_posts_link(); } //Hide the author unless enabled in Theme Options ?>
                <?php if( get_option("ocmx_meta_date") !== "false" ) { _e("on ", "ocmx"); echo the_time(get_option('date_format')); } // Hide the date unless enabled in Theme Options ?>
                <?php if(comments_open() && get_option("ocmx_meta_comments") !== "false" ) : ?><a href="<?php comments_link(); ?>"><?php comments_number(__('0 Comments','ocmx'),__('1 Comment','ocmx'),__('% Comments','ocmx')); ?></a><?php endif;?>
        	</h5>  	  
		</div>
		<!--Show the Featured Image or Video -->
		<?php if($image !="") { echo $image; } ?>
        <!--Get the Content -->
        <div class="copy <?php echo $image_class; ?> clearfix">
             <?php if($post->post_excerpt !== "") :
                the_excerpt();
            else :
                the_content("");
            endif; ?>
			<p class="continue-reading"><a href="<?php echo $link; ?>" class="action-link"><?php _e("Continue Reading", "ocmx"); ?></a></p>
        </div>
	</div>
</li>