<?php
$link = get_permalink($post->ID);
$args  = array( 'postid' => $post->ID, 'width' => 560, 'hide_href' => false, 'exclude_video' => false, 'wrap' => 'div', 'wrap_class' => 'post-image fitvid', 'resizer' => '560auto' );
$image = get_obox_media( $args );
?>
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<div class="post-title-block">
	<!--Show the title -->
	<h2 class="post-title typography-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
    <!--Show Post Meta if Enabled in Theme Options -->
	<?php if(!is_page() && get_post_type($post) != "info-box") :?>
		<h5 class="date post-date">
			<?php if( get_option("ocmx_meta_author") !== "false" ) { _e("Posted by ", "ocmx"); ?> <?php the_author_posts_link(); } //Hide the author unless enabled in Theme Options ?>
            <?php if( get_option("ocmx_meta_date") !== "false" ) { _e("on ", "ocmx"); echo the_time(get_option('date_format')); } // Hide the date unless enabled in Theme Options ?>
        </h5>  	  
	<?php endif; ?>
</div>

<!--Show the Featured Image or Video -->
<?php if($image !="") { echo $image; } ?>
<!--Get the Content -->
<div class="copy clearfix">
	<?php the_content(); 
		wp_link_pages();
	$category = get_the_category(); ?>
    
</div>
<!--Show sharing and tags if enabled in Theme Options -->
<div class="post-meta clearfix">
	<?php if( get_option("ocmx_meta_social") !== "false" ) : // Show sharing if enabled in Theme Options ?>
        <div class="social">
            <!-- AddThis Button BEGIN -->
                <div class="addthis_toolbox addthis_default_style ">
                    <a class="addthis_button_facebook_like" fb:like:layout="button_count"></a>
                    <a class="addthis_button_tweet"></a>
                    <a class="addthis_button_pinterest_pinit"></a>
                    <a class="addthis_counter addthis_pill_style"></a>
                </div>
                <script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=xa-50ffd98532559d39"></script>
                <!-- AddThis Button END -->
        </div>   
    <?php endif; ?>     
    <?php if( get_option("ocmx_meta_tags") !== "false" ) : // Show tags if enabled in Theme Options ?>
        <div class="tags">
            <?php the_tags('',' • ',''); ?>
        </div>
    <?php endif; ?>
</div>
<?php // Show Author Block 
global $show_author;
if(!is_page() && isset($show_author) && get_option("ocmx_show_author") !== "false") : ?>
	<div class="author clearfix">
		<h3 class="section-title"><?php _e("About the Author"); ?>: <?php the_author_posts_link(); ?></h3>
        <div class="author-avatar"><?php echo get_avatar( get_the_author_email(), "50" ); ?><span></span></div>
		<div class="author-details">
			<p><?php the_author_description(); ?></p>
		</div>
	</div>
<?php endif; ?>
</div>