<?php /***************************************************************/
/* Features Post Type Custom Meta, here used to add a category */
$aff_meta = array(
	array("label" => "Price", "name" => "affiliate_price"),
	array("label" => "External Link", "name" => "affiliate_link"),
	array("label" => "Purchase Label", "name" => "purchase_label", "default" => get_option("ocmx_default_purchase_text")),
);

function create_affiliate_meta() {
	global $post, $aff_meta;
	foreach($aff_meta as $meta=>$value) : 
		$meta_value= get_post_meta($post->ID,$value["name"],true);
		if($meta_value == "") :
			$meta_value= $value["default"];
		endif;
		?>
		<p>
        	<label for="<?php echo $value["name"]; ?>">
				<?php echo $value["label"]; ?>
	        	<input name="<?php echo $value["name"]; ?>" id="<?php echo $value["name"]; ?>" value="<?php echo $meta_value; ?>" class="widefat" />
            </label>
		</p>
	<?php endforeach; ?>
<?php 
}
function insert_affiliate_meta($pID) {
	global $port_meta_added, $aff_meta;
	if(!isset($port_meta_added)) :
		foreach($aff_meta as $meta=>$value) :
			$var = $value["name"];
			if($_POST[$var]) :
				add_post_meta($pID,$value["name"],$_POST[$var],true) or update_post_meta($pID,$value["name"],$_POST[$var]);
			endif;
		endforeach;
		$port_meta_added = 1;
	endif;
}

function add_affiliate_meta() {
	add_meta_box('obox-custom-type-cats','Item Details','create_affiliate_meta','affiliate','side');
}

add_action('admin_menu', 'add_affiliate_meta');
add_action('save_post', 'insert_affiliate_meta'); ?>