<?php 
/*
Template Name: Quotes List 
*/
get_header();
$get_quotes = new WP_Query("post_type=quotes&post_status=publish&posts_per_page=-1"); ?>
<ul id="double-column">
    
    	<li id="left-column" class="content">
            <div class="post-title-block">
                <h2 class="post-title typography-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
            </div>	
			<?php while ($get_quotes->have_posts()) : $get_quotes->the_post();	?>                
                <div class="featured-quote post-title-block">
                    <?php global $post;		
                    $link = get_post_meta($post->ID, "info_box_link", true);
                    if($link == "")
                        $link = "#"; ?>
                    <blockquote>
                        <?php the_excerpt(); ?>
                    </blockquote>
                    <cite>~ <a href="<?php echo $link; ?>"><?php the_title(); ?></a></cite>
                </div>
            <?php endwhile; ?>
	</li>
	<?php get_sidebar(); ?>
</ul>
<?php get_footer(); ?>