<?php
global $post;
$cat_list = get_the_terms( $post->ID, "affiliate-category");

//Meta for this item
$affiliate_price = get_post_meta($post->ID, "affiliate_price", true);
$affiliate_link = get_post_meta($post->ID, "affiliate_link", true);
$purchase_label = get_post_meta($post->ID, "purchase_label", true);
$link = get_permalink($post->ID);  

$args  = array( 'postid' => $post->ID, 'width' => 560, 'hide_href' => false, 'exclude_video' => false, 'wrap' => 'div', 'wrap_class' => 'products-image fitvid', 'resizer' => '560auto' );
$image = get_obox_media( $args );

if($purchase_label == "") :
	$purchase_label = __("Purchase", "ocmx"); 
endif; ?>

<ul class="portfolio-item clearfix">   
	<!--Categories -->     
	<?php if ($cat_list != "") : 	
        echo "<li><ul class=\"bread-crumbs\">
            <li><strong>". __("Categories"). ":</strong></li>";
            foreach($cat_list as $tax) :
                $link = get_term_link($tax->slug, "affiliate-category");
                echo "<li><a href=\"$link\">".$tax->name."</a></li>";
            endforeach;
        echo "</ul></li>";
    endif; ?>
    <!--Show the Featured Image or Video -->
    <li class="left-column">    
	    <?php if($image != "") { echo $image; } ?>
	</li>
    <!--Show the Product -->
    <li class="right-column">
        <h3 class="typography-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h3>
        <a href="<?php echo $affiliate_link; ?>" class="action-button" rel="nofollow" target="_blank"><?php echo $purchase_label; ?></a>
        <h5>
            <?php if($affiliate_price != "") : echo $affiliate_price; else : echo "&nbsp;"; endif; ?>
        </h5>
        <?php if($post->post_excerpt !== "") :
			the_excerpt();
		else :
			the_content("");
		endif;?>
        <!--Show sharing and tags if enabled in Theme Options -->
		<div class="post-meta clearfix">
		<?php if( get_option("ocmx_meta_social") !== "false" ) : // Show sharing if enabled in Theme Options ?>
            <div class="social">
                <!-- AddThis Button BEGIN -->
                <div class="addthis_toolbox addthis_default_style ">
                    <a class="addthis_button_facebook_like" fb:like:layout="button_count"></a>
                    <a class="addthis_button_tweet"></a>
                    <a class="addthis_button_pinterest_pinit"></a>
                    <a class="addthis_counter addthis_pill_style"></a>
                </div>
                <script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=xa-50ffd98532559d39"></script>
                <!-- AddThis Button END -->
			</div>   
    	<?php endif; ?>     
		</div>
    </li>
</ul>
