<?php
class ocmx_campaign_monitor_widget extends WP_Widget {
    /** constructor */
    function ocmx_campaign_monitor_widget() {
        parent::WP_Widget(false, $name = 'Campaign Monitor Sign Up Form', $widget_options = 'Styled signup form supporting your campaignmonitor.com account.');	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
        $username = esc_attr($instance["username"]);
		$excerpt = $instance["excerpt"];
        $call_to_action = esc_attr($instance["call_to_action"]);
		 ?>
             <li class="column">
                <div class="newsletter-block">
                    <p><?php echo $excerpt; ?></p>
                    <form action="http://<?php echo $username; ?>.createsend.com/t/r/s/pirfi/" method="post" id="subForm" target="_blank">
                        <input type="text" name="cm-pirfi-pirfi" id="pirfi-pirfi" value="Enter your email here" />
                        <input type="submit" value="<?php echo $call_to_action; ?>" />
                    </form>
                </div>
                
            </li>
		<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {				
        $username = esc_attr($instance["username"]);
		$excerpt = $instance["excerpt"];
        $call_to_action = esc_attr($instance["call_to_action"]);
		if($call_to_action == "") : $call_to_action = "Subscribe"; endif;
		
        ?>
            <p><label for="<?php echo $this->get_field_id('username'); ?>">Campaign Monitor Username<input class="widefat" id="<?php echo $this->get_field_id('username'); ?>" name="<?php echo $this->get_field_name('username'); ?>" type="text" value="<?php echo $username; ?>" /></label></p>
            <p><label for="<?php echo $this->get_field_id('excerpt'); ?>">Excerpt</label>
               <textarea class="widefat" name="<?php echo $this->get_field_name('excerpt'); ?>"><?php echo $excerpt; ?></textarea>
            </p>
            <p><label for="<?php echo $this->get_field_id('call_to_action'); ?>">Call to Action<input class="widefat" id="<?php echo $this->get_field_id('call_to_action'); ?>" name="<?php echo $this->get_field_name('call_to_action'); ?>" type="text" value="<?php echo $call_to_action; ?>" /></label></p>
			<p>Sign up to Campaign Monitor <a href="https://signup.campaignmonitor.com/signup.aspx" target="_blank">here</a>.</p>
    	<?php 
    }

} // class FooWidget

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("ocmx_campaign_monitor_widget");'));

?>