<?php 
// Fetch the Affiliate Categories
$term = get_term_by( 'slug', get_query_var('term' ), get_query_var( 'taxonomy' ) );
$cat_list = get_terms("affiliate-category", "orderby=count&hide_empty=0");
$parentpage = get_template_link("affiliates.php");

get_header();
query_posts("post_type=affiliate&posts_per_page=-1&affiliate-category=$term->slug");?>
<div id="full-width" class="content">

	<h2 class="section-title"><a href="<?php echo get_permalink($parentpage->ID); ?>"><?php echo $parentpage->post_title; ?></a>: <?php echo $term->name; ?></h2>

   	<?php if ($cat_list != "") : 
		echo "<ul class=\"bread-crumbs\">
			<li><strong>". _("Categories"). ":</strong></li>";
			echo "<li><a href=\"".get_permalink($parentpage->ID)."\">All</a></li>";
			foreach($cat_list as $tax) :
				$link = get_term_link($tax->slug, "affiliate-category");
				echo "<li><a href=\"$link\">".$tax->name."</a></li>";
			endforeach;
		echo "</ul>";
	endif; ?>
    <ul class="products-list clearfix">
         <?php if (have_posts()) :
            while (have_posts()) :	the_post();
                get_template_part("/functions/affiliate-list");
            endwhile;
        else :
            ocmx_no_posts();
        endif; wp_reset_query();?>
    </ul>
</div>
<?php get_footer(); ?>